Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Point4F Class Reference

`#include <mPoint.h>`

## Public Member Functions
| Point4F ()
| Create an unitialized point. More...
| Point4F (const Point4F &)
| Point4F (const F32 _x, const F32 _y, const F32 _z, const F32 _w)
| Create point from coordinates. More...
void | set (const F32 _x, const F32 _y, const F32 _z, const F32 _w)
| Set point's coordinates. More...
void | interpolate (const Point4F &_pt1, const Point4F &_pt2, const F32 _factor)
| operator F32 * ()
| operator F32 * () const

## Public Attributes
F32 | x
| X co-ordinate. More...
F32 | y
| Y co-ordinate. More...
F32 | z
| Z co-ordinate. More...
F32 | w
| W co-ordinate. More...

## Static Public Attributes
static const Point4F | One
static const Point4F | Zero

## Detailed Description

4D floating-point point.

Uses F32 internally.

Useful for representing quaternions and other 4d beasties.

## Constructor & Destructor Documentation

Point4F | ( |  | ) |
| inline

Create an unitialized point.

Point4F | ( | const Point4F & | _copy | ) |
| inline

Copy constructor.

Point4F | ( | const F32 | _x,
|  | const F32 | _y,
|  | const F32 | _z,
|  | const F32 | _w
| ) |  |
| inline

Create point from coordinates.

## Member Function Documentation

void interpolate | ( | const Point4F & | _pt1,
|  | const Point4F & | _pt2,
|  | const F32 | _factor
| ) |  |
| inline

Interpolate from _pt1 to _pt2, based on _factor.

Parameters

  _pt1 | Starting point.
  _pt2 | Ending point.
  _factor | Interpolation factor (0.0 .. 1.0).

operator F32 * | ( |  | ) |
| inline

operator F32 * | ( |  | ) | const
| inline

void set | ( | const F32 | _x,
|  | const F32 | _y,
|  | const F32 | _z,
|  | const F32 | _w
| ) |  |
| inline

Set point's coordinates.

## Member Data Documentation

const Point4F One
| static

F32 w

W co-ordinate.

F32 x

X co-ordinate.

F32 y

Y co-ordinate.

F32 z

Z co-ordinate.

const Point4F Zero
| static

The documentation for this class was generated from the following files:

- math/mPoint.h
- math/mPoint.cpp